Search found 5 matches

by garyamort
April 1st, 2014, 2:44 am
Forum: Scenario & Campaign Development
Topic: Access advanced Preferences?
Replies: 1
Views: 437

Access advanced Preferences?

As a simple first pass extension, I created my own extension folder and copied over the item dialog code from Legends of the Invincibles. With help from http://wiki.wesnoth.org/Advanced_Optimisations_and_Hacks#Hacking_events_into_other_campaigns I was able to work out how to insert the item into the...
by garyamort
April 1st, 2014, 2:36 am
Forum: Scenario & Campaign Development
Topic: WML error info
Replies: 3
Views: 607

Re: WML error info

Checking some options, I ran across some combination of --debug --debug-lua and something else which ended up outputting a list of all opened files to stderr so I could check. Will try to test to find what it was.
by garyamort
March 31st, 2014, 3:12 pm
Forum: Scenario & Campaign Development
Topic: WML error info
Replies: 3
Views: 607

WML error info

Is more information on WML errors and loading stored anyplace? Specifically, there are two things I'm looking for, the first is for messages such as: ''20140331 10:55:17 warning engine: variable_info: invalid WML array index, drops[7].name' It is not especially helpful as it lacks the name of the fi...
by garyamort
March 31st, 2014, 2:01 pm
Forum: Scenario & Campaign Development
Topic: Legend of the Invincibles
Replies: 7217
Views: 920255

Re: Legend of the Invincibles

I have very little save files preserved after an accident, can you please upload the problematic save file here? Anyway, I am not sure how well is working the transition of save files from version 1.10 to 1.11+, maybe you've done just an unsupported thing. Maybe it would be the best to finish the c...
by garyamort
March 27th, 2014, 2:25 pm
Forum: Scenario & Campaign Development
Topic: Legend of the Invincibles
Replies: 7217
Views: 920255

Re: Legend of the Invincibles

I love the game. I especially love the AMLA's... I try to recruit a couple of everything just to see what they will level up to! :-) I have been playing on 1.10 and am halfway through campaign 8. I've been using v1.10.6 and wanted to take a look at the new interface so I installed 1.13dev [I also tr...